package kr.co.i4way.genesys.model;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "genesysinfo")
public class GenesysInfoVo {

	private String cfg_ip_p;
	private String cfg_ip_b;
	private int cfg_port_p;
	private int cfg_port_b;
	private String cfg_endpoint_p;
	private String cfg_endpoint_b;
	private String cfg_client_name;
	private int cfg_tenant_dbid;
	private int cfg_switch_dbid;
	private String cfg_id;
	private String cfg_passwd;
	private String cfg_charset;

	String 	oc_ip_p; 
	int 	oc_port_p;
	String 	oc_id;
	String 	oc_passwd;
	String  oc_client_id;
	String  oc_client_passwd;
	String 	oc_charset;

	
	public String getOc_ip_p() {
		return oc_ip_p;
	}
	public void setOc_ip_p(String oc_ip_p) {
		this.oc_ip_p = oc_ip_p;
	}
	public int getOc_port_p() {
		return oc_port_p;
	}
	public void setOc_port_p(int oc_port_p) {
		this.oc_port_p = oc_port_p;
	}
	public String getOc_id() {
		return oc_id;
	}
	public void setOc_id(String oc_id) {
		this.oc_id = oc_id;
	}
	public String getOc_passwd() {
		return oc_passwd;
	}
	public void setOc_passwd(String oc_passwd) {
		this.oc_passwd = oc_passwd;
	}
	public String getOc_client_id() {
		return oc_client_id;
	}
	public void setOc_client_id(String oc_client_id) {
		this.oc_client_id = oc_client_id;
	}
	public String getOc_client_passwd() {
		return oc_client_passwd;
	}
	public void setOc_client_passwd(String oc_client_passwd) {
		this.oc_client_passwd = oc_client_passwd;
	}
	public String getOc_charset() {
		return oc_charset;
	}
	public void setOc_charset(String oc_charset) {
		this.oc_charset = oc_charset;
	}
	
	public String getCfg_ip_p() {
		return cfg_ip_p;
	}
	public void setCfg_ip_p(String cfg_ip_p) {
		this.cfg_ip_p = cfg_ip_p;
	}
	public String getCfg_ip_b() {
		return cfg_ip_b;
	}
	public void setCfg_ip_b(String cfg_ip_b) {
		this.cfg_ip_b = cfg_ip_b;
	}
	public int getCfg_port_p() {
		return cfg_port_p;
	}
	public void setCfg_port_p(int cfg_port_p) {
		this.cfg_port_p = cfg_port_p;
	}
	public int getCfg_port_b() {
		return cfg_port_b;
	}
	public void setCfg_port_b(int cfg_port_b) {
		this.cfg_port_b = cfg_port_b;
	}
	public String getCfg_endpoint_p() {
		return cfg_endpoint_p;
	}
	public void setCfg_endpoint_p(String cfg_endpoint_p) {
		this.cfg_endpoint_p = cfg_endpoint_p;
	}
	public String getCfg_endpoint_b() {
		return cfg_endpoint_b;
	}
	public void setCfg_endpoint_b(String cfg_endpoint_b) {
		this.cfg_endpoint_b = cfg_endpoint_b;
	}
	public String getCfg_client_name() {
		return cfg_client_name;
	}
	public void setCfg_client_name(String cfg_client_name) {
		this.cfg_client_name = cfg_client_name;
	}
	public String getCfg_id() {
		return cfg_id;
	}
	public void setCfg_id(String cfg_id) {
		this.cfg_id = cfg_id;
	}
	public String getCfg_passwd() {
		return cfg_passwd;
	}
	public void setCfg_passwd(String cfg_passwd) {
		this.cfg_passwd = cfg_passwd;
	}
	public String getCfg_charset() {
		return cfg_charset;
	}
	public void setCfg_charset(String cfg_charset) {
		this.cfg_charset = cfg_charset;
	}
	public int getCfg_tenant_dbid() {
		return cfg_tenant_dbid;
	}
	public void setCfg_tenant_dbid(int cfg_tenant_dbid) {
		this.cfg_tenant_dbid = cfg_tenant_dbid;
	}
	public int getCfg_switch_dbid() {
		return cfg_switch_dbid;
	}
	public void setCfg_switch_dbid(int cfg_switch_dbid) {
		this.cfg_switch_dbid = cfg_switch_dbid;
	}
	@Override
	public String toString() {
		return "GenesysInfoVo [cfg_ip_p=" + cfg_ip_p + ", cfg_ip_b=" + cfg_ip_b + ", cfg_port_p=" + cfg_port_p
				+ ", cfg_port_b=" + cfg_port_b + ", cfg_endpoint_p=" + cfg_endpoint_p + ", cfg_endpoint_b="
				+ cfg_endpoint_b + ", cfg_client_name=" + cfg_client_name + ", cfg_tenant_dbid=" + cfg_tenant_dbid
				+ ", cfg_switch_dbid=" + cfg_switch_dbid + ", cfg_id=" + cfg_id + ", cfg_passwd=" + cfg_passwd
				+ ", cfg_charset=" + cfg_charset + "]";
	}

}